Index: include/class.phone_support.php
===================================================================
--- include/class.phone_support.php	(revision 3164)
+++ include/class.phone_support.php	(working copy)
@@ -54,9 +54,7 @@
      */
     function insertCategory()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "INSERT INTO
@@ -65,8 +63,8 @@
                     phc_prj_id,
                     phc_title
                  ) VALUES (
-                    " . Misc::escapeInteger($HTTP_POST_VARS["prj_id"]) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "'
+                    " . Misc::escapeInteger($_POST["prj_id"]) . ",
+                    '" . Misc::escapeString($_POST["title"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -88,18 +86,16 @@
      */
     function updateCategory()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_phone_category
                  SET
-                    phc_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "'
+                    phc_title='" . Misc::escapeString($_POST["title"]) . "'
                  WHERE
-                    phc_prj_id=" . Misc::escapeInteger($HTTP_POST_VARS["prj_id"]) . " AND
-                    phc_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    phc_prj_id=" . Misc::escapeInteger($_POST["prj_id"]) . " AND
+                    phc_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -119,9 +115,7 @@
      */
     function removeCategory()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_phone_category
                  WHERE
@@ -296,14 +290,12 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
         $usr_id = Auth::getUserID();
         // format the date from the form
         $created_date = sprintf('%04d-%02d-%02d %02d:%02d:%02d',
-            $HTTP_POST_VARS["date"]["Year"], $HTTP_POST_VARS["date"]["Month"],
-            $HTTP_POST_VARS["date"]["Day"], $HTTP_POST_VARS["date"]["Hour"],
-            $HTTP_POST_VARS["date"]["Minute"], 0);
+            $_POST["date"]["Year"], $_POST["date"]["Month"],
+            $_POST["date"]["Day"], $_POST["date"]["Hour"],
+            $_POST["date"]["Minute"], 0);
         // convert the date to GMT timezone
         $created_date = Date_API::getDateGMT($created_date);
         $stmt = "INSERT INTO
@@ -322,18 +314,18 @@
                     phs_call_to_lname,
                     phs_call_to_fname
                  ) VALUES (
-                    " . Misc::escapeInteger($HTTP_POST_VARS["issue_id"]) . ",
+                    " . Misc::escapeInteger($_POST["issue_id"]) . ",
                     $usr_id,
-                    " . Misc::escapeInteger($HTTP_POST_VARS["phone_category"]) . ",
+                    " . Misc::escapeInteger($_POST["phone_category"]) . ",
                     '" . Misc::escapeString($created_date) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["type"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["phone_number"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["description"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["phone_type"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["from_lname"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["from_fname"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["to_lname"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["to_fname"]) . "'
+                    '" . Misc::escapeString($_POST["type"]) . "',
+                    '" . Misc::escapeString($_POST["phone_number"]) . "',
+                    '" . Misc::escapeString($_POST["description"]) . "',
+                    '" . Misc::escapeString($_POST["phone_type"]) . "',
+                    '" . Misc::escapeString($_POST["from_lname"]) . "',
+                    '" . Misc::escapeString($_POST["from_fname"]) . "',
+                    '" . Misc::escapeString($_POST["to_lname"]) . "',
+                    '" . Misc::escapeString($_POST["to_fname"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -342,22 +334,22 @@
         } else {
             // enter the time tracking entry about this phone support entry
             $phs_id = $GLOBALS["db_api"]->get_last_insert_id();
-            $HTTP_POST_VARS['category'] = Time_Tracking::getCategoryID('Telephone Discussion');
-            $HTTP_POST_VARS['time_spent'] = $HTTP_POST_VARS['call_length'];
-            $HTTP_POST_VARS['summary'] = ev_gettext("Time entry inserted from phone call.");
+            $_POST['category'] = Time_Tracking::getCategoryID('Telephone Discussion');
+            $_POST['time_spent'] = $_POST['call_length'];
+            $_POST['summary'] = ev_gettext("Time entry inserted from phone call.");
             Time_Tracking::insertEntry();
             $stmt = "SELECT
                         max(ttr_id)
                      FROM
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "time_tracking
                      WHERE
-                        ttr_iss_id = " . Misc::escapeInteger($HTTP_POST_VARS["issue_id"]) . " AND
+                        ttr_iss_id = " . Misc::escapeInteger($_POST["issue_id"]) . " AND
                         ttr_usr_id = $usr_id";
             $ttr_id = $GLOBALS["db_api"]->dbh->getOne($stmt);
 
-            Issue::markAsUpdated($HTTP_POST_VARS['issue_id'], 'phone call');
+            Issue::markAsUpdated($_POST['issue_id'], 'phone call');
             // need to save a history entry for this
-            History::add($HTTP_POST_VARS['issue_id'], $usr_id, History::getTypeID('phone_entry_added'),
+            History::add($_POST['issue_id'], $usr_id, History::getTypeID('phone_entry_added'),
                             ev_gettext('Phone Support entry submitted by %1$s', User::getFullName($usr_id)));
             // XXX: send notifications for the issue being updated (new notification type phone_support?)
 
Index: include/class.project.php
===================================================================
--- include/class.project.php	(revision 3164)
+++ include/class.project.php	(working copy)
@@ -155,13 +155,11 @@
      */
     function updateAnonymousPost($prj_id)
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  SET
-                    prj_anonymous_post='" . Misc::escapeString($HTTP_POST_VARS["anonymous_post"]) . "',
-                    prj_anonymous_post_options='" . Misc::escapeString(@serialize($HTTP_POST_VARS["options"])) . "'
+                    prj_anonymous_post='" . Misc::escapeString($_POST["anonymous_post"]) . "',
+                    prj_anonymous_post_options='" . Misc::escapeString(@serialize($_POST["options"])) . "'
                  WHERE
                     prj_id=" . Misc::escapeInteger($prj_id);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
@@ -360,9 +358,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  WHERE
@@ -372,18 +368,18 @@
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
         } else {
-            Project::removeUserByProjects($HTTP_POST_VARS["items"]);
-            Category::removeByProjects($HTTP_POST_VARS["items"]);
-            Release::removeByProjects($HTTP_POST_VARS["items"]);
-            Filter::removeByProjects($HTTP_POST_VARS["items"]);
-            Email_Account::removeAccountByProjects($HTTP_POST_VARS["items"]);
-            Issue::removeByProjects($HTTP_POST_VARS["items"]);
-            Custom_Field::removeByProjects($HTTP_POST_VARS["items"]);
-            $statuses = array_keys(Status::getAssocStatusList($HTTP_POST_VARS["items"]));
-            foreach ($HTTP_POST_VARS["items"] as $prj_id) {
+            Project::removeUserByProjects($_POST["items"]);
+            Category::removeByProjects($_POST["items"]);
+            Release::removeByProjects($_POST["items"]);
+            Filter::removeByProjects($_POST["items"]);
+            Email_Account::removeAccountByProjects($_POST["items"]);
+            Issue::removeByProjects($_POST["items"]);
+            Custom_Field::removeByProjects($_POST["items"]);
+            $statuses = array_keys(Status::getAssocStatusList($_POST["items"]));
+            foreach ($_POST["items"] as $prj_id) {
                 Status::removeProjectAssociations($statuses, $prj_id);
             }
-            Group::disassociateProjects($HTTP_POST_VARS["items"]);
+            Group::disassociateProjects($_POST["items"]);
             return true;
         }
     }
@@ -426,46 +422,44 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project
                  SET
-                    prj_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    prj_status='" . Misc::escapeString($HTTP_POST_VARS["status"]) . "',
-                    prj_lead_usr_id=" . Misc::escapeInteger($HTTP_POST_VARS["lead_usr_id"]) . ",
-                    prj_initial_sta_id=" . Misc::escapeInteger($HTTP_POST_VARS["initial_status"]) . ",
-                    prj_outgoing_sender_name='" . Misc::escapeString($HTTP_POST_VARS["outgoing_sender_name"]) . "',
-                    prj_outgoing_sender_email='" . Misc::escapeString($HTTP_POST_VARS["outgoing_sender_email"]) . "',
-                    prj_remote_invocation='" . Misc::escapeString($HTTP_POST_VARS["remote_invocation"]) . "',
-                    prj_segregate_reporter='" . Misc::escapeString($HTTP_POST_VARS["segregate_reporter"]) . "',
-                    prj_customer_backend='" . Misc::escapeString($HTTP_POST_VARS["customer_backend"]) . "',
-                    prj_workflow_backend='" . Misc::escapeString($HTTP_POST_VARS["workflow_backend"]) . "'
+                    prj_title='" . Misc::escapeString($_POST["title"]) . "',
+                    prj_status='" . Misc::escapeString($_POST["status"]) . "',
+                    prj_lead_usr_id=" . Misc::escapeInteger($_POST["lead_usr_id"]) . ",
+                    prj_initial_sta_id=" . Misc::escapeInteger($_POST["initial_status"]) . ",
+                    prj_outgoing_sender_name='" . Misc::escapeString($_POST["outgoing_sender_name"]) . "',
+                    prj_outgoing_sender_email='" . Misc::escapeString($_POST["outgoing_sender_email"]) . "',
+                    prj_remote_invocation='" . Misc::escapeString($_POST["remote_invocation"]) . "',
+                    prj_segregate_reporter='" . Misc::escapeString($_POST["segregate_reporter"]) . "',
+                    prj_customer_backend='" . Misc::escapeString($_POST["customer_backend"]) . "',
+                    prj_workflow_backend='" . Misc::escapeString($_POST["workflow_backend"]) . "'
                  WHERE
-                    prj_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    prj_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
-            Project::removeUserByProjects(array($HTTP_POST_VARS["id"]), $HTTP_POST_VARS["users"]);
-            for ($i = 0; $i < count($HTTP_POST_VARS["users"]); $i++) {
-                if ($HTTP_POST_VARS["users"][$i] == $HTTP_POST_VARS["lead_usr_id"]) {
-                    Project::associateUser($HTTP_POST_VARS["id"], $HTTP_POST_VARS["users"][$i], User::getRoleID("Manager"));
-                } elseif (User::getRoleByUser($HTTP_POST_VARS["users"][$i], $HTTP_POST_VARS["id"]) == '') {
+            Project::removeUserByProjects(array($_POST["id"]), $_POST["users"]);
+            for ($i = 0; $i < count($_POST["users"]); $i++) {
+                if ($_POST["users"][$i] == $_POST["lead_usr_id"]) {
+                    Project::associateUser($_POST["id"], $_POST["users"][$i], User::getRoleID("Manager"));
+                } elseif (User::getRoleByUser($_POST["users"][$i], $_POST["id"]) == '') {
                     // users who are now being associated with this project should be set to 'Standard User'
-                    Project::associateUser($HTTP_POST_VARS["id"], $HTTP_POST_VARS["users"][$i], User::getRoleID("Standard User"));
+                    Project::associateUser($_POST["id"], $_POST["users"][$i], User::getRoleID("Standard User"));
                 }
             }
-            $statuses = array_keys(Status::getAssocStatusList($HTTP_POST_VARS["id"]));
+            $statuses = array_keys(Status::getAssocStatusList($_POST["id"]));
             if (count($statuses) > 0) {
-                Status::removeProjectAssociations($statuses, $HTTP_POST_VARS["id"]);
+                Status::removeProjectAssociations($statuses, $_POST["id"]);
             }
-            foreach ($HTTP_POST_VARS['statuses'] as $sta_id) {
-                Status::addProjectAssociation($sta_id, $HTTP_POST_VARS["id"]);
+            foreach ($_POST['statuses'] as $sta_id) {
+                Status::addProjectAssociation($sta_id, $_POST["id"]);
             }
             return 1;
         }
@@ -532,9 +526,7 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
         $stmt = "INSERT INTO
@@ -552,15 +544,15 @@
                     prj_workflow_backend
                  ) VALUES (
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["status"]) . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS["lead_usr_id"]) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS["initial_status"]) . ",
-                    '" . Misc::escapeString($HTTP_POST_VARS["outgoing_sender_name"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["outgoing_sender_email"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["remote_invocation"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["customer_backend"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["workflow_backend"]) . "'
+                    '" . Misc::escapeString($_POST["title"]) . "',
+                    '" . Misc::escapeString($_POST["status"]) . "',
+                    " . Misc::escapeInteger($_POST["lead_usr_id"]) . ",
+                    " . Misc::escapeInteger($_POST["initial_status"]) . ",
+                    '" . Misc::escapeString($_POST["outgoing_sender_name"]) . "',
+                    '" . Misc::escapeString($_POST["outgoing_sender_email"]) . "',
+                    '" . Misc::escapeString($_POST["remote_invocation"]) . "',
+                    '" . Misc::escapeString($_POST["customer_backend"]) . "',
+                    '" . Misc::escapeString($_POST["workflow_backend"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -568,15 +560,15 @@
             return -1;
         } else {
             $new_prj_id = $GLOBALS["db_api"]->get_last_insert_id();
-            for ($i = 0; $i < count($HTTP_POST_VARS["users"]); $i++) {
-                if ($HTTP_POST_VARS["users"][$i] == $HTTP_POST_VARS["lead_usr_id"]) {
+            for ($i = 0; $i < count($_POST["users"]); $i++) {
+                if ($_POST["users"][$i] == $_POST["lead_usr_id"]) {
                     $role_id = User::getRoleID("Manager");
                 } else {
                     $role_id = User::getRoleID("Standard User");
                 }
-                Project::associateUser($new_prj_id, $HTTP_POST_VARS["users"][$i], $role_id);
+                Project::associateUser($new_prj_id, $_POST["users"][$i], $role_id);
             }
-            foreach ($HTTP_POST_VARS['statuses'] as $sta_id) {
+            foreach ($_POST['statuses'] as $sta_id) {
                 Status::addProjectAssociation($sta_id, $new_prj_id);
             }
             Display_Column::setupNewProject($new_prj_id);
Index: include/class.reminder_condition.php
===================================================================
--- include/class.reminder_condition.php	(revision 3164)
+++ include/class.reminder_condition.php	(working copy)
@@ -74,8 +74,6 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "INSERT INTO
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level_condition
                  (
@@ -87,11 +85,11 @@
                     rlc_comparison_rmf_id
                  ) VALUES (
                     '" . Date_API::getCurrentDateGMT() . "',
-                    " . Misc::escapeInteger($HTTP_POST_VARS['rma_id']) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS['field']) . ",
-                    " . Misc::escapeInteger($HTTP_POST_VARS['operator']) . ",
-                    '" . Misc::escapeString(@$HTTP_POST_VARS['value']) . "',
-                    '" . Misc::escapeInteger(@$HTTP_POST_VARS['comparison_field']) . "'
+                    " . Misc::escapeInteger($_POST['rma_id']) . ",
+                    " . Misc::escapeInteger($_POST['field']) . ",
+                    " . Misc::escapeInteger($_POST['operator']) . ",
+                    '" . Misc::escapeString(@$_POST['value']) . "',
+                    '" . Misc::escapeInteger(@$_POST['comparison_field']) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -111,18 +109,16 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level_condition
                  SET
                     rlc_last_updated_date='" . Date_API::getCurrentDateGMT() . "',
-                    rlc_rmf_id=" . Misc::escapeInteger($HTTP_POST_VARS['field']) . ",
-                    rlc_rmo_id=" . Misc::escapeInteger($HTTP_POST_VARS['operator']) . ",
-                    rlc_value='" . Misc::escapeString(@$HTTP_POST_VARS['value']) . "',
-                    rlc_comparison_rmf_id = '" . Misc::escapeInteger(@$HTTP_POST_VARS['comparison_field']) . "'
+                    rlc_rmf_id=" . Misc::escapeInteger($_POST['field']) . ",
+                    rlc_rmo_id=" . Misc::escapeInteger($_POST['operator']) . ",
+                    rlc_value='" . Misc::escapeString(@$_POST['value']) . "',
+                    rlc_comparison_rmf_id = '" . Misc::escapeInteger(@$_POST['comparison_field']) . "'
                  WHERE
-                    rlc_id=" . Misc::escapeInteger($HTTP_POST_VARS['id']);
+                    rlc_id=" . Misc::escapeInteger($_POST['id']);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
@@ -142,9 +138,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level_condition
                  WHERE
Index: include/class.news.php
===================================================================
--- include/class.news.php	(revision 3164)
+++ include/class.news.php	(working copy)
@@ -111,12 +111,10 @@
      */
     function insert()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
-        if (Validation::isWhitespace($HTTP_POST_VARS["message"])) {
+        if (Validation::isWhitespace($_POST["message"])) {
             return -3;
         }
         $stmt = "INSERT INTO
@@ -130,9 +128,9 @@
                  ) VALUES (
                     " . Auth::getUserID() . ",
                     '" . Date_API::getCurrentDateGMT() . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["message"]) . "',
-                    '" . Misc::escapeString($HTTP_POST_VARS["status"]) . "'
+                    '" . Misc::escapeString($_POST["title"]) . "',
+                    '" . Misc::escapeString($_POST["message"]) . "',
+                    '" . Misc::escapeString($_POST["status"]) . "'
                  )";
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
@@ -141,7 +139,7 @@
         } else {
             $new_news_id = $GLOBALS["db_api"]->get_last_insert_id();
             // now populate the project-news mapping table
-            foreach ($HTTP_POST_VARS['projects'] as $prj_id) {
+            foreach ($_POST['projects'] as $prj_id) {
                 News::addProjectAssociation($new_news_id, $prj_id);
             }
             return 1;
@@ -157,9 +155,7 @@
      */
     function remove()
     {
-        global $HTTP_POST_VARS;
-
-        $items = @implode(", ", Misc::escapeInteger($HTTP_POST_VARS["items"]));
+        $items = @implode(", ", Misc::escapeInteger($_POST["items"]));
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "news
                  WHERE
@@ -169,7 +165,7 @@
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
         } else {
-            News::removeProjectAssociations($HTTP_POST_VARS['items']);
+            News::removeProjectAssociations($_POST['items']);
             return true;
         }
     }
@@ -215,31 +211,29 @@
      */
     function update()
     {
-        global $HTTP_POST_VARS;
-
-        if (Validation::isWhitespace($HTTP_POST_VARS["title"])) {
+        if (Validation::isWhitespace($_POST["title"])) {
             return -2;
         }
-        if (Validation::isWhitespace($HTTP_POST_VARS["message"])) {
+        if (Validation::isWhitespace($_POST["message"])) {
             return -3;
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "news
                  SET
-                    nws_title='" . Misc::escapeString($HTTP_POST_VARS["title"]) . "',
-                    nws_message='" . Misc::escapeString($HTTP_POST_VARS["message"]) . "',
-                    nws_status='" . Misc::escapeString($HTTP_POST_VARS["status"]) . "'
+                    nws_title='" . Misc::escapeString($_POST["title"]) . "',
+                    nws_message='" . Misc::escapeString($_POST["message"]) . "',
+                    nws_status='" . Misc::escapeString($_POST["status"]) . "'
                  WHERE
-                    nws_id=" . Misc::escapeInteger($HTTP_POST_VARS["id"]);
+                    nws_id=" . Misc::escapeInteger($_POST["id"]);
         $res = $GLOBALS["db_api"]->dbh->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
         } else {
             // remove all of the associations with projects, then add them all again
-            News::removeProjectAssociations($HTTP_POST_VARS['id']);
-            foreach ($HTTP_POST_VARS['projects'] as $prj_id) {
-                News::addProjectAssociation($HTTP_POST_VARS['id'], $prj_id);
+            News::removeProjectAssociations($_POST['id']);
+            foreach ($_POST['projects'] as $prj_id) {
+                News::addProjectAssociation($_POST['id'], $prj_id);
             }
             return 1;
         }
@@ -364,4 +358,4 @@
 if (APP_BENCHMARK) {
     $GLOBALS['bench']->setMarker('Included News Class');
 }
-?>
\ No newline at end of file
+?>
